Package org.eclipse.birt.chart.computation.withoutaxes

# Class SeriesRenderingHints

java.lang.Object
org.eclipse.birt.chart.computation.withoutaxes.SeriesRenderingHints

All Implemented Interfaces:
  `ISeriesRenderingHints`

public class SeriesRenderingHints extends Object implements ISeriesRenderingHints
SeriesRenderingHints

## Field Summary

### Fields inherited from interface org.eclipse.birt.chart.render.ISeriesRenderingHints

`ANCILLARY_EMPTY, BASE_ANCILLARY_IN_SYNC, BASE_ANCILLARY_OUT_OF_SYNC, BASE_EMPTY, BASE_ORTHOGONAL_IN_SYNC, BASE_ORTHOGONAL_OUT_OF_SYNC, ORTHOGONAL_EMPTY, UNDEFINED`

## Method Summary

Modifier and Type
Method
Description
`final Double[]`
`asDoubleValues()`
`final double[]`
`asPrimitiveDoubleValues()`
`DataSetIterator`
`getBaseDataSet()`
`Bounds`
`getClientAreaBounds(boolean bReduceByInsets)`
Returns current client area bounds.
`final DataPointHints[]`
`getDataPoints()`
`int`
`getDataSetStructure()`
`DataSetIterator`
`getOrthogonalDataSet()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getDataPoints

public final DataPointHints[] getDataPoints()

Specified by:
  `getDataPoints` in interface `ISeriesRenderingHints`
Returns:
  Returns all datapointhints for current rendering.
See Also:
  - `DataPointHints`

### asDoubleValues

public final Double[] asDoubleValues() throws ChartException

Throws:
  `ChartException`

### asPrimitiveDoubleValues

public final double[] asPrimitiveDoubleValues() throws ChartException

Throws:
  `ChartException`

### getDataSetStructure

public int getDataSetStructure()

Specified by:
  `getDataSetStructure` in interface `ISeriesRenderingHints`
Returns:
  Returns the dataset structure state of current series rendering hints. The value could be one of these defined in this interface:
  - `ISeriesRenderingHints.BASE_ORTHOGONAL_IN_SYNC`
  - `ISeriesRenderingHints.BASE_ORTHOGONAL_OUT_OF_SYNC`
  - `ISeriesRenderingHints.BASE_ANCILLARY_IN_SYNC`
  - `ISeriesRenderingHints.BASE_ANCILLARY_OUT_OF_SYNC`
  - `ISeriesRenderingHints.BASE_EMPTY`
  - `ISeriesRenderingHints.ORTHOGONAL_EMPTY`
  - `ISeriesRenderingHints.ANCILLARY_EMPTY`
  - `ISeriesRenderingHints.UNDEFINED`

### getBaseDataSet

public DataSetIterator getBaseDataSet()

Specified by:
  `getBaseDataSet` in interface `ISeriesRenderingHints`
Returns:
  Returns the dataset bound to base series.

### getOrthogonalDataSet

public DataSetIterator getOrthogonalDataSet()

Specified by:
  `getOrthogonalDataSet` in interface `ISeriesRenderingHints`
Returns:
  Returns the dataset bound to orthogonal series.

### getClientAreaBounds

public Bounds getClientAreaBounds(boolean bReduceByInsets)
Description copied from interface: `ISeriesRenderingHints`
Returns current client area bounds.

Specified by:
  `getClientAreaBounds` in interface `ISeriesRenderingHints`
Parameters:
  `bReduceByInsets` - Specifies if reduce the insets.
Returns: